> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.brevo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.brevo.com/_mcp/server.

# Get a sender domain configuration

GET https://api.brevo.com/v3/senders/domains/{domainName}

Retrieves configuration of a specific domain, to know if the domain is valid or not.

Use this to:
- Check domain configuration
- Validate a domain configuration
- Monitor DNS record status
- Troubleshoot authentication issues

Key information returned:
- Domain verification and authentication status
- DNS records configuration and validation status
- Detailed authentication requirements

Reference: https://developers.brevo.com/reference/get-domain-configuration

## Authentication

- `api-key` header (required) — The API key should be passed in the request headers as `api-key` for authentication.

## Request

### Path parameters

- `domainName` (string, required) — Domain name

## Response

### 200

Domain configuration retrieved successfully

- `domain` (string, required) — Domain name
- `verified` (boolean, required) — Status of domain verification (true=verified, false=non verified)
- `authenticated` (boolean, required) — Status of domain authentication (true=authenticated, false=non authenticated)
- `dns_records` (object, required) — DNS records configuration and status
  - `brevo_code` (object, required) — Brevo verification code record
    - `host_name` (string, required) — DNS record hostname
    - `type` (string, required) — DNS record type
    - `value` (string, required) — DNS record value
    - `status` (boolean, required) — Whether the record is properly configured
  - `dkim_record` (object, required) — DKIM authentication record
    - `host_name` (string, required) — DNS record hostname
    - `type` (string, required) — DNS record type
    - `value` (string, required) — DNS record value
    - `status` (boolean, required) — Whether the record is properly configured
  - `dmarc_record` (object, required) — DMARC policy record
    - `host_name` (string, required) — DNS record hostname
    - `type` (string, required) — DNS record type
    - `value` (string, required) — DNS record value
    - `status` (boolean, required) — Whether the record is properly configured

## Errors

### 400 Bad Request Error

bad request

- `code` (enum, required) — Error code displayed in case of a failure
  - Allowed values: `invalid_parameter`, `missing_parameter`, `out_of_range`, `campaign_processing`, `campaign_sent`, `document_not_found`, `not_enough_credits`, `permission_denied`, `duplicate_parameter`, `duplicate_request`, `method_not_allowed`, `unauthorized`, `account_under_validation`, `not_acceptable`, `bad_request`, `unprocessable_entity`, `Domain does not exist`, `Contact email not found`, `Attribute not found`, `Category id not found`, `Invalid parameters passed`, `Record(s) for identifier not found`, `Returned when query params are invalid`, `Returned when invalid data posted`, `Feed not found`, `Campaign ID not found`, `api-key not found`, `DMARC policy requires domain authentication`, `DNS records not properly configured`, `Invalid OTP code provided`, `OTP code has expired`, `Domain already exists in your account`, `The sum of all IP weights must equal 100`, `Authentication failed`, `Insufficient credits`, `Request already processed`
- `message` (string, required) — Readable message associated to the failure

### 404 Not Found Error

bad request

- `code` (enum, required) — Error code displayed in case of a failure
  - Allowed values: `invalid_parameter`, `missing_parameter`, `out_of_range`, `campaign_processing`, `campaign_sent`, `document_not_found`, `not_enough_credits`, `permission_denied`, `duplicate_parameter`, `duplicate_request`, `method_not_allowed`, `unauthorized`, `account_under_validation`, `not_acceptable`, `bad_request`, `unprocessable_entity`, `Domain does not exist`, `Contact email not found`, `Attribute not found`, `Category id not found`, `Invalid parameters passed`, `Record(s) for identifier not found`, `Returned when query params are invalid`, `Returned when invalid data posted`, `Feed not found`, `Campaign ID not found`, `api-key not found`, `DMARC policy requires domain authentication`, `DNS records not properly configured`, `Invalid OTP code provided`, `OTP code has expired`, `Domain already exists in your account`, `The sum of all IP weights must equal 100`, `Authentication failed`, `Insufficient credits`, `Request already processed`
- `message` (string, required) — Readable message associated to the failure

## Examples

### Fully authenticated domain configuration

**Response**

```json
{
  "domain": "mycompany.com",
  "verified": true,
  "authenticated": true,
  "dns_records": {
    "brevo_code": {
      "host_name": "@",
      "type": "TXT",
      "value": "brevo-code=abc123def456",
      "status": true
    },
    "dkim_record": {
      "host_name": "mail._domainkey",
      "type": "TXT",
      "value": "v=DKIM1; k=rsa; p=MIGfMA0GCSqGSIb3DQEBAQUAA4GN...",
      "status": true
    },
    "dmarc_record": {
      "host_name": "_dmarc",
      "type": "TXT",
      "value": "v=DMARC1; p=quarantine; rua=mailto:dmarc@mycompany.com",
      "status": true
    }
  }
}
```

**SDK Code**

```typescript Fully authenticated domain configuration
import { BrevoClient } from "@getbrevo/brevo";

async function main() {
    const client = new BrevoClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.domains.getDomainConfiguration({
        domainName: "domainName",
    });
}
main();

```

```python Fully authenticated domain configuration
from brevo import Brevo

client = Brevo(
    api_key="YOUR_API_KEY_HERE",
)

client.domains.get_domain_configuration(
    domain_name="domainName",
)

```

```php Fully authenticated domain configuration
<?php

namespace Example;

use Brevo\Brevo;

$client = new Brevo(
    apiKey: 'YOUR_API_KEY_HERE',
);
$client->domains->getDomainConfiguration(
    'domainName',
);

```

```go Fully authenticated domain configuration
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.brevo.com/v3/senders/domains/domainName"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Fully authenticated domain configuration
require 'uri'
require 'net/http'

url = URI("https://api.brevo.com/v3/senders/domains/domainName")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Fully authenticated domain configuration
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.brevo.com/v3/senders/domains/domainName")
  .header("api-key", "<apiKey>")
  .asString();
```

```csharp Fully authenticated domain configuration
using RestSharp;

var client = new RestClient("https://api.brevo.com/v3/senders/domains/domainName");
var request = new RestRequest(Method.GET);
request.AddHeader("api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Fully authenticated domain configuration
import Foundation

let headers = ["api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.brevo.com/v3/senders/domains/domainName")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Domain with incomplete DNS configuration

**Response**

```json
{
  "domain": "test.example.com",
  "verified": false,
  "authenticated": false,
  "dns_records": {
    "brevo_code": {
      "host_name": "@",
      "type": "TXT",
      "value": "brevo-code=xyz789abc123",
      "status": false
    },
    "dkim_record": {
      "host_name": "mail._domainkey",
      "type": "TXT",
      "value": "v=DKIM1; k=rsa; p=MIGfMA0GCSqGSIb3DQEBAQUAA4GN...",
      "status": true
    },
    "dmarc_record": {
      "host_name": "_dmarc",
      "type": "TXT",
      "value": "v=DMARC1; p=none; rua=mailto:dmarc@example.com",
      "status": false
    }
  }
}
```

**SDK Code**

```typescript Domain with incomplete DNS configuration
import { BrevoClient } from "@getbrevo/brevo";

async function main() {
    const client = new BrevoClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.domains.getDomainConfiguration({
        domainName: "domainName",
    });
}
main();

```

```python Domain with incomplete DNS configuration
from brevo import Brevo

client = Brevo(
    api_key="YOUR_API_KEY_HERE",
)

client.domains.get_domain_configuration(
    domain_name="domainName",
)

```

```php Domain with incomplete DNS configuration
<?php

namespace Example;

use Brevo\Brevo;

$client = new Brevo(
    apiKey: 'YOUR_API_KEY_HERE',
);
$client->domains->getDomainConfiguration(
    'domainName',
);

```

```go Domain with incomplete DNS configuration
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.brevo.com/v3/senders/domains/domainName"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Domain with incomplete DNS configuration
require 'uri'
require 'net/http'

url = URI("https://api.brevo.com/v3/senders/domains/domainName")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Domain with incomplete DNS configuration
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.brevo.com/v3/senders/domains/domainName")
  .header("api-key", "<apiKey>")
  .asString();
```

```csharp Domain with incomplete DNS configuration
using RestSharp;

var client = new RestClient("https://api.brevo.com/v3/senders/domains/domainName");
var request = new RestRequest(Method.GET);
request.AddHeader("api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Domain with incomplete DNS configuration
import Foundation

let headers = ["api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.brevo.com/v3/senders/domains/domainName")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```